| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Types | Public Member Functions | Public Attributes
Tp::MemberFunctor1< R, T, Arg1 > Struct Template Reference

`#include </home/collabora-devel/kde/src/telepathy-qt4/TelepathyQt/functors.h>`

Inherits Tp::BaseFunctor.

List of all members.

## Public Types

- typedef R(T::* FunctionType )(Arg1)
- typedef R ResultType

## Public Member Functions

- MemberFunctor1 (T *object, FunctionType fn)
- ResultType operator() (Arg1 a1) const

## Public Attributes

- T * object
- FunctionType fn

### template<class R, class T, class Arg1>
struct Tp::MemberFunctor1< R, T, Arg1 >

## Member Typedef Documentation

template<class R, class T, class Arg1>

typedef R(T::* Tp::MemberFunctor1< R, T, Arg1 >::FunctionType)(Arg1)

template<class R, class T, class Arg1>

typedef R Tp::MemberFunctor1< R, T, Arg1 >::ResultType

## Constructor & Destructor Documentation

template<class R, class T, class Arg1>

Tp::MemberFunctor1< R, T, Arg1 >::MemberFunctor1 | ( | T * | object,
|  | FunctionType | fn
| ) |  | `[inline]`

## Member Function Documentation

template<class R, class T, class Arg1>

ResultType Tp::MemberFunctor1< R, T, Arg1 >::operator() | ( | Arg1 | a1 | ) | const`[inline]`

## Member Data Documentation

template<class R, class T, class Arg1>

T* Tp::MemberFunctor1< R, T, Arg1 >::object

template<class R, class T, class Arg1>

FunctionType Tp::MemberFunctor1< R, T, Arg1 >::fn